Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Aspect Table

Explore Synastry API's Aspect Table feature for nuanced relationship insights, detailing precise planetary aspects and angles to illuminate compatibility through in-depth astrological analysis.


Step by Step Aspect Table API Postman Testing Integration

View Full Guide on Support Portal


Use Translator for Other Languages

Support Article URL: https://support.divineapi.com/general-api-support/translating-a-natal-apis-into-a-different-language

CodeLanguage
enEnglish
hiHindi
ptPortuguese
frFrench
deGerman
jaJapanese
trTurkish
ruRussian
itItalian
esSpanish
nlDutch
plPolish

Guide: These languages are supported by this API. You can use them by passing "lan" in the body with the value of the language.


House System Codes

House System Codes Support Article URL: https://support.divineapi.com/western-astrology-apis/how-to-change-the-house-system-code-in-natal-astrology

CodeSystem/Notes
PPlacidus
KKoch
RRegiomontanus
CCampanus
AEqual
WEqual, whole sign
NWhole sign, Aries = 1st house
XAxial rotation system / Meridian houses
TPolich/Page ("topocentric")
MMorinus
OPorphyry
BAlcabitius
DEqual / MC
EEqual = A
FCarter poli-equatorial
G36 Gauquelin sectors
HHorizon / azimuth
ISunshine
iSunshine alternative
LPullen (S-delta)
QPullen (S-ratio)
SSripati
UKrusinski-Pisa-Goelzer
VEqual Vehlow
YAPC houses

Note: The default house system used is P — Placidus.


API Endpoint

POST https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table

Returns: Aspect Table in response.


Headers

NameTypeDescription
Authorization*StringYour API Access Token. Example: Bearer {token}

Request Body

NameTypeDescription
api_key*StringYour API key
p1_full_name*StringP1's Full Name, ex: Rahul Kumar
p1_day*IntegerP1's date of birth, eg: 24
p1_month*IntegerP1's month of birth, eg: 05
p1_year*IntegerP1's year of birth, eg: 1998
p1_hour*IntegerP1's hour, eg: 14
p1_min*IntegerP1's minute, eg: 40
p1_sec*IntegerP1's second, eg: 43
p1_gender*StringP1's gender, ex: male
p1_place*StringP1's birth place, ex: New Delhi
p1_lat*FloatP1's latitude, eg: 28.7041
p1_lon*FloatP1's longitude, eg: 77.1025
p1_tzone*FloatP1's timezone, eg: 5.5 Timezone List
p2_full_name*StringP2's Full Name, ex: Simran Kumari
p2_day*IntegerP2's date of birth, eg: 24
p2_month*IntegerP2's month of birth, eg: 05
p2_year*IntegerP2's year of birth, eg: 1998
p2_hour*IntegerP2's hour, eg: 14
p2_min*IntegerP2's minute, eg: 40
p2_sec*IntegerP2's second, eg: 43
p2_gender*StringP2's gender, ex: male
p2_place*StringP2's birth place, ex: New Delhi
p2_lat*FloatP2's latitude, eg: 28.7041
p2_lon*FloatP2's longitude, eg: 77.1025
p2_tzone*FloatP2's timezone, eg: 5.5 Timezone List
lanStringLanguage en/hi, default en
house_systemStringHouse system code, default — P (Placidus)
node_typeStringmeannode or truenode (default: meannode)
aspect_orbs_typeStringType of aspect orb used for aspect calculation, e.g. FIXED
aspect_orbs_valueIntegerOrb value(s) used for aspect calculation, e.g.5_30
aspects_typeStringControls which aspects are included in the result, e.g. ALL

Aspects Selection (aspects_type)

You can control which astrological aspects are included by using the aspects_type parameter.
It can take one of four kinds of values only:

ALL

All supported aspects (major + minor) are calculated and returned.

MAJOR_ASPECTS

Only major aspects are calculated and returned:
Conjunction, Sextile, Square, Trine, Opposition.

MINOR_ASPECTS

Only minor aspects are calculated and returned:
Semisextile, Semisquare, Sesquiquadrate, Quincunx, Quintile, Biquintile, Novile, Septile.

Custom Aspect List (comma-separated)

You may pass one or more individual aspect names, separated by commas.

Only the selected aspects will be calculated and returned.

Allowed values in the custom list:

Value
CONJUNCTION
SEXTILE
SQUARE
TRINE
OPPOSITION
SEMISEXTILE
SEMISQUARE
SESQUIQUADRATE
QUINCUNX
QUINTILE
BIQUINTILE
NOVILE
SEPTILE


Examples:

Single aspect:
aspects_type = "CONJUNCTION"

Multiple aspects:
aspects_type = "SEXTILE,TRINE,QUINTILE"
aspects_type = "SEMISQUARE,SEMISEXTILE,QUINCUNX"

Whatever you select in the custom list must be one or more of the allowed aspect tokens above, separated by commas. Only those aspects will be shown in the response.

Aspect Orb Settings 

The aspect_orbs_type parameter defines how the orb values are interpreted. It supports two modes:

1. FIXED

When aspect_orbs_type = FIXED, the orb range (0°30' to 15°00') is applied based on the degree group:

1. 0°30' to 3°00':  Applies to All Aspects

2. 3°30' to 4°00': Applies to Major Aspects Only

3. 4°30' to 15°00': Applies to Major Aspects Except Sextile

Example values:
0_30, 1_00, 5_00, 12_00, 15_00
(Use underscore to represent degrees_minutes format)

2. PERCENTAGE

When using PERCENTAGE, the aspect_orbs_value represents a percentage adjustment applied to the default orb.

Allowed percentage range: -90% - +100%

Example values:
-20%, -10%, 0%, +20%, +50%, +100%

3. BOTH

You may also support both modes, allowing the user to choose either FIXED or PERCENTAGE based on their preference.

aspect_orbs_typeMeaningaspect_orbs_value Range
FIXEDOrb defined in fixed degrees/minutes0°30' – 15°00'
PERCENTAGEOrb adjusted by percentage-90% to +100%
BOTHAllows either modeFollows the rules of each mode

200: OK Aspect Table Fetched Successfully

The following is a sample 200: OK JSON response structure for the Aspect Table API. It contains both p1_p2_aspect and p2_p1_aspect objects, detailing all planetary aspects between two individuals.

{
    "status": "success",
    "code": 200,
    "message": "Request successful",
    "data": {
        "p1_p2_aspect": {
            "planetOne": "Riya Kapoor's planet",
            "planetTwo": "Arjun Malhotra's planet",
            "aspects": [
                {
                    "planetOne": "Sun",
                    "planetTwo": "Sun",
                    "orb": 1.37,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Moon",
                    "orb": 1.86,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Mercury",
                    "orb": 4.28,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Venus",
                    "orb": 0.13,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Uranus",
                    "orb": 2.3,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Neptune",
                    "orb": 2.66,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Chiron",
                    "orb": 2.37,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Moon",
                    "orb": 2.94,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Venus",
                    "orb": 4.78,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Mars",
                    "orb": 2.4,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Jupiter",
                    "orb": 4.55,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Neptune",
                    "orb": 3.75,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Pluto",
                    "orb": 3.62,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "North node",
                    "orb": 1.36,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "South node",
                    "orb": 1.36,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Sun",
                    "orb": 3.6,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Jupiter",
                    "orb": 4.15,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Uranus",
                    "orb": 0.07,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Pluto",
                    "orb": 5.08,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Ascendant",
                    "orb": 1.14,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "North node",
                    "orb": 4.05,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "South node",
                    "orb": 4.05,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Moon",
                    "orb": 2.48,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Venus",
                    "orb": 5.24,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Mars",
                    "orb": 2.86,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Jupiter",
                    "orb": 5.01,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Neptune",
                    "orb": 3.29,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Pluto",
                    "orb": 4.08,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "North node",
                    "orb": 0.9,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "South node",
                    "orb": 0.9,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Moon",
                    "orb": 2.6,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Mercury",
                    "orb": 2.47,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Mars",
                    "orb": 2.74,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Jupiter",
                    "orb": 4.88,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Saturn",
                    "orb": 0.49,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Ascendant",
                    "orb": 4.89,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Chiron",
                    "orb": 3.12,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "North node",
                    "orb": 1.98,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "South node",
                    "orb": 1.98,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Sun",
                    "orb": 0.54,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Moon",
                    "orb": 2.69,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Mercury",
                    "orb": 0.45,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Venus",
                    "orb": 3.97,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Uranus",
                    "orb": 3.13,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Pluto",
                    "orb": 2.13,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Ascendant",
                    "orb": 4.2,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "North node",
                    "orb": 1.46,
                    "aspect": "Septile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Sun",
                    "orb": 2.5,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Mercury",
                    "orb": 4.59,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Venus",
                    "orb": 0.44,
                    "aspect": "Septile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Saturn",
                    "orb": 2.62,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Uranus",
                    "orb": 3.83,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Neptune",
                    "orb": 2.46,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Pluto",
                    "orb": 4.83,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Ascendant",
                    "orb": 2.76,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Chiron",
                    "orb": 5.25,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "North node",
                    "orb": 0.15,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "South node",
                    "orb": 0.15,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Moon",
                    "orb": 2.61,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Venus",
                    "orb": 4.33,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Mars",
                    "orb": 4.05,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Jupiter",
                    "orb": 1.9,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Neptune",
                    "orb": 4.2,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Pluto",
                    "orb": 3.17,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Chiron",
                    "orb": 3.91,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "North node",
                    "orb": 1.81,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "South node",
                    "orb": 1.81,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Moon",
                    "orb": 0.26,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Venus",
                    "orb": 1.46,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Mars",
                    "orb": 3.08,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Jupiter",
                    "orb": 4.77,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Pluto",
                    "orb": 5.3,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Chiron",
                    "orb": 5.23,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "North node",
                    "orb": 4.68,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "South node",
                    "orb": 4.68,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Sun",
                    "orb": 3.21,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Moon",
                    "orb": 2.97,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Mercury",
                    "orb": 0.54,
                    "aspect": "Septile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Venus",
                    "orb": 4.7,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Mars",
                    "orb": 3.68,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Jupiter",
                    "orb": 1.54,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Saturn",
                    "orb": 3.92,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Uranus",
                    "orb": 0.47,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Neptune",
                    "orb": 3.83,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Ascendant",
                    "orb": 3.53,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "North node",
                    "orb": 1.56,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Moon",
                    "orb": 0.88,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Mercury",
                    "orb": 5.25,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Venus",
                    "orb": 0.84,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Jupiter",
                    "orb": 5.4,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Pluto",
                    "orb": 5.33,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Ascendant",
                    "orb": 5.39,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Chiron",
                    "orb": 4.6,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "North node",
                    "orb": 0.3,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "South node",
                    "orb": 5.3,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Sun",
                    "orb": 0.39,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Mercury",
                    "orb": 2.51,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Venus",
                    "orb": 1.9,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Mars",
                    "orb": 4.72,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Saturn",
                    "orb": 4.49,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Uranus",
                    "orb": 4.07,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Neptune",
                    "orb": 1.43,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Pluto",
                    "orb": 3.07,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Ascendant",
                    "orb": 5.13,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Chiron",
                    "orb": 1.14,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Sun",
                    "orb": 0.31,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Moon",
                    "orb": 0.54,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Mercury",
                    "orb": 2.97,
                    "aspect": "Septile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Venus",
                    "orb": 1.18,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Jupiter",
                    "orb": 5.05,
                    "aspect": "Square"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Saturn",
                    "orb": 1.57,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Uranus",
                    "orb": 3.98,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Neptune",
                    "orb": 4.65,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Ascendant",
                    "orb": 2.05,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Chiron",
                    "orb": 4.94,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Moon",
                    "orb": 5.46,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Venus",
                    "orb": 1.18,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Jupiter",
                    "orb": 5.05,
                    "aspect": "Square"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Saturn",
                    "orb": 2.43,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Ascendant",
                    "orb": 2.05,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Chiron",
                    "orb": 4.94,
                    "aspect": "Opposition"
                }
            ]
        },
        "p2_p1_aspect": {
            "planetOne": "Arjun Malhotra's planet",
            "planetTwo": "Riya Kapoor's planet",
            "aspects": [
                {
                    "planetOne": "Sun",
                    "planetTwo": "Sun",
                    "orb": 1.37,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Mercury",
                    "orb": 3.6,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Jupiter",
                    "orb": 0.54,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Saturn",
                    "orb": 2.5,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Pluto",
                    "orb": 3.21,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "Chiron",
                    "orb": 0.39,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Sun",
                    "planetTwo": "North node",
                    "orb": 0.31,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Sun",
                    "orb": 1.86,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Moon",
                    "orb": 2.94,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Venus",
                    "orb": 2.48,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Mars",
                    "orb": 2.6,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Jupiter",
                    "orb": 2.69,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Uranus",
                    "orb": 2.61,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Neptune",
                    "orb": 0.26,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Pluto",
                    "orb": 2.97,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "Ascendant",
                    "orb": 0.88,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "North node",
                    "orb": 0.54,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Moon",
                    "planetTwo": "South node",
                    "orb": 5.46,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Sun",
                    "orb": 4.28,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Mars",
                    "orb": 2.47,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Jupiter",
                    "orb": 0.45,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Saturn",
                    "orb": 4.59,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Pluto",
                    "orb": 0.54,
                    "aspect": "Septile"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Ascendant",
                    "orb": 5.25,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "Chiron",
                    "orb": 2.51,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Mercury",
                    "planetTwo": "North node",
                    "orb": 2.97,
                    "aspect": "Septile"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Sun",
                    "orb": 0.13,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Moon",
                    "orb": 4.78,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Venus",
                    "orb": 5.24,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Jupiter",
                    "orb": 3.97,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Saturn",
                    "orb": 0.44,
                    "aspect": "Septile"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Uranus",
                    "orb": 4.33,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Neptune",
                    "orb": 1.46,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Pluto",
                    "orb": 4.7,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Ascendant",
                    "orb": 0.84,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "Chiron",
                    "orb": 1.9,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "North node",
                    "orb": 1.18,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Venus",
                    "planetTwo": "South node",
                    "orb": 1.18,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Moon",
                    "orb": 2.4,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Venus",
                    "orb": 2.86,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Mars",
                    "orb": 2.74,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Uranus",
                    "orb": 4.05,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Neptune",
                    "orb": 3.08,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Pluto",
                    "orb": 3.68,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Mars",
                    "planetTwo": "Chiron",
                    "orb": 4.72,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Moon",
                    "orb": 4.55,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Mercury",
                    "orb": 4.15,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Venus",
                    "orb": 5.01,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Mars",
                    "orb": 4.88,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Uranus",
                    "orb": 1.9,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Neptune",
                    "orb": 4.77,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Pluto",
                    "orb": 1.54,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "Ascendant",
                    "orb": 5.4,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "North node",
                    "orb": 5.05,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Jupiter",
                    "planetTwo": "South node",
                    "orb": 5.05,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Mars",
                    "orb": 0.49,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Saturn",
                    "orb": 2.62,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Pluto",
                    "orb": 3.92,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "Chiron",
                    "orb": 4.49,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "North node",
                    "orb": 1.57,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Saturn",
                    "planetTwo": "South node",
                    "orb": 2.43,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Sun",
                    "orb": 2.3,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Mercury",
                    "orb": 0.07,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Jupiter",
                    "orb": 3.13,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Saturn",
                    "orb": 3.83,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Pluto",
                    "orb": 0.47,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "Chiron",
                    "orb": 4.07,
                    "aspect": "Quincunx"
                },
                {
                    "planetOne": "Uranus",
                    "planetTwo": "North node",
                    "orb": 3.98,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Sun",
                    "orb": 2.66,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Moon",
                    "orb": 3.75,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Venus",
                    "orb": 3.29,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Saturn",
                    "orb": 2.46,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Uranus",
                    "orb": 4.2,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Pluto",
                    "orb": 3.83,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "Chiron",
                    "orb": 1.43,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Neptune",
                    "planetTwo": "North node",
                    "orb": 4.65,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Moon",
                    "orb": 3.62,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Mercury",
                    "orb": 5.08,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Venus",
                    "orb": 4.08,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Jupiter",
                    "orb": 2.13,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Saturn",
                    "orb": 4.83,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Uranus",
                    "orb": 3.17,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Neptune",
                    "orb": 5.3,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Ascendant",
                    "orb": 5.33,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Pluto",
                    "planetTwo": "Chiron",
                    "orb": 3.07,
                    "aspect": "Square"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Mercury",
                    "orb": 1.14,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Mars",
                    "orb": 4.89,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Jupiter",
                    "orb": 4.2,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Saturn",
                    "orb": 2.76,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Pluto",
                    "orb": 3.53,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Ascendant",
                    "orb": 5.39,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "Chiron",
                    "orb": 5.13,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "North node",
                    "orb": 2.05,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "Ascendant",
                    "planetTwo": "South node",
                    "orb": 2.05,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Sun",
                    "orb": 2.37,
                    "aspect": "Biquintile"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Mars",
                    "orb": 3.12,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Saturn",
                    "orb": 5.25,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Uranus",
                    "orb": 3.91,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Neptune",
                    "orb": 5.23,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Ascendant",
                    "orb": 4.6,
                    "aspect": "Semisextile"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "Chiron",
                    "orb": 1.14,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "North node",
                    "orb": 4.94,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "Chiron",
                    "planetTwo": "South node",
                    "orb": 4.94,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Moon",
                    "orb": 1.36,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Mercury",
                    "orb": 4.05,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Venus",
                    "orb": 0.9,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Mars",
                    "orb": 1.98,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Jupiter",
                    "orb": 1.46,
                    "aspect": "Septile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Saturn",
                    "orb": 0.15,
                    "aspect": "Opposition"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Uranus",
                    "orb": 1.81,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Neptune",
                    "orb": 4.68,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Pluto",
                    "orb": 1.56,
                    "aspect": "Quintile"
                },
                {
                    "planetOne": "North node",
                    "planetTwo": "Ascendant",
                    "orb": 0.3,
                    "aspect": "Novile"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Moon",
                    "orb": 1.36,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Mercury",
                    "orb": 4.05,
                    "aspect": "Trine"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Venus",
                    "orb": 0.9,
                    "aspect": "Sesquiquadrate"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Mars",
                    "orb": 1.98,
                    "aspect": "Sextile"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Saturn",
                    "orb": 0.15,
                    "aspect": "Conjunction"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Uranus",
                    "orb": 1.81,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Neptune",
                    "orb": 4.68,
                    "aspect": "Semisquare"
                },
                {
                    "planetOne": "South node",
                    "planetTwo": "Ascendant",
                    "orb": 5.3,
                    "aspect": "Sesquiquadrate"
                }
            ]
        }
    }
}

Example Code Implementations

Below are example implementations in various programming environments.


cURL

curl --location 'https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table' \
--header 'Authorization: Bearer your auth token' \
--form 'api_key="Your Api key"' \
--form 'p1_full_name="Riya Kapoor"' \
--form 'p1_day="12"' \
--form 'p1_month="06"' \
--form 'p1_year="1994"' \
--form 'p1_hour="14"' \
--form 'p1_min="40"' \
--form 'p1_sec="43"' \
--form 'p1_gender="female"' \
--form 'p1_place="Pune, India"' \
--form 'p1_lat="28.7041"' \
--form 'p1_lon="77.1025"' \
--form 'p1_tzone="5.5"' \
--form 'p2_full_name="Arjun Malhotra"' \
--form 'p2_day="25"' \
--form 'p2_month="01"' \
--form 'p2_year="1998"' \
--form 'p2_hour="5"' \
--form 'p2_min="40"' \
--form 'p2_sec="43"' \
--form 'p2_gender="male"' \
--form 'p2_place="New Delhi"' \
--form 'p2_lat="28.7041"' \
--form 'p2_lon="77.1025"' \
--form 'p2_tzone="5.5"' \
--form 'lan="en"' \
--form 'house_system="P"' \
--form 'node_type="meannode"' \
--form 'aspect_orbs_type="FIXED"' \
--form 'aspect_orbs_value="5_30"' \
--form 'aspects_type="ALL"'

NodeJS

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table',
  'headers': {
    'Authorization': 'Bearer your auth token'
  },
  formData: {
    'api_key': 'Your Api key',
    'p1_full_name': 'Riya Kapoor',
    'p1_day': '12',
    'p1_month': '06',
    'p1_year': '1994',
    'p1_hour': '14',
    'p1_min': '40',
    'p1_sec': '43',
    'p1_gender': 'female',
    'p1_place': 'Pune, India',
    'p1_lat': '28.7041',
    'p1_lon': '77.1025',
    'p1_tzone': '5.5',
    'p2_full_name': 'Arjun Malhotra',
    'p2_day': '25',
    'p2_month': '01',
    'p2_year': '1998',
    'p2_hour': '5',
    'p2_min': '40',
    'p2_sec': '43',
    'p2_gender': 'male',
    'p2_place': 'New Delhi',
    'p2_lat': '28.7041',
    'p2_lon': '77.1025',
    'p2_tzone': '5.5',
    'lan': 'en',
    'house_system': 'P',
    'node_type': 'meannode',
    'aspect_orbs_type': 'FIXED',
    'aspect_orbs_value': '5_30',
    'aspects_type': 'ALL'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript (jQuery AJAX)

var form = new FormData();
form.append("api_key", "Your Api key");
form.append("p1_full_name", "Riya Kapoor");
form.append("p1_day", "12");
form.append("p1_month", "06");
form.append("p1_year", "1994");
form.append("p1_hour", "14");
form.append("p1_min", "40");
form.append("p1_sec", "43");
form.append("p1_gender", "female");
form.append("p1_place", "Pune, India");
form.append("p1_lat", "28.7041");
form.append("p1_lon", "77.1025");
form.append("p1_tzone", "5.5");
form.append("p2_full_name", "Arjun Malhotra");
form.append("p2_day", "25");
form.append("p2_month", "01");
form.append("p2_year", "1998");
form.append("p2_hour", "5");
form.append("p2_min", "40");
form.append("p2_sec", "43");
form.append("p2_gender", "male");
form.append("p2_place", "New Delhi");
form.append("p2_lat", "28.7041");
form.append("p2_lon", "77.1025");
form.append("p2_tzone", "5.5");
form.append("lan", "en");
form.append("house_system", "P");
form.append("node_type", "meannode");
form.append("aspect_orbs_type", "FIXED");
form.append("aspect_orbs_value", "5_30");
form.append("aspects_type", "ALL");

var settings = {
  "url": "https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer your auth token"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python

import requests

url = "https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table"

payload = {'api_key': 'Your Api key',
'p1_full_name': 'Riya Kapoor',
'p1_day': '12',
'p1_month': '06',
'p1_year': '1994',
'p1_hour': '14',
'p1_min': '40',
'p1_sec': '43',
'p1_gender': 'female',
'p1_place': 'Pune, India',
'p1_lat': '28.7041',
'p1_lon': '77.1025',
'p1_tzone': '5.5',
'p2_full_name': 'Arjun Malhotra',
'p2_day': '25',
'p2_month': '01',
'p2_year': '1998',
'p2_hour': '5',
'p2_min': '40',
'p2_sec': '43',
'p2_gender': 'male',
'p2_place': 'New Delhi',
'p2_lat': '28.7041',
'p2_lon': '77.1025',
'p2_tzone': '5.5',
'lan': 'en',
'house_system': 'P',
'node_type': 'meannode',
'aspect_orbs_type': 'FIXED',
'aspect_orbs_value': '5_30',
'aspects_type': 'ALL'}
files=[

]
headers = {
  'Authorization': 'Bearer your auth token'
}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)

Notes

Ensure latitude and longitude are in decimal degrees (WGS84).

Timezone (p1_tzone, p2_tzone) is numeric offset from UTC; e.g., 5.5 for India.

If house_system is not specified, default is P (Placidus).

Language defaults to English (lan=en) if not provided.

Validate date and time inputs before sending requests.

Response includes both directional aspect sets (p1_p2_aspect and p2_p1_aspect).

Example Code
curl -X POST "https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table" \
  -H "Authorization: Bearer your auth token" \
  --form 'api_key="Your Api key"' \
  --form 'p1_full_name="Riya Kapoor"' \
  --form 'p1_day="12"' \
  --form 'p1_month="06"' \
  --form 'p1_year="1994"' \
  --form 'p1_hour="14"' \
  --form 'p1_min="40"' \
  --form 'p1_sec="43"' \
  --form 'p1_gender="female"' \
  --form 'p1_place="Pune, India"' \
  --form 'p1_lat="28.7041"' \
  --form 'p1_lon="77.1025"' \
  --form 'p1_tzone="5.5"' \
  --form 'p2_full_name="Arjun Malhotra"' \
  --form 'p2_day="25"' \
  --form 'p2_month="01"' \
  --form 'p2_year="1998"' \
  --form 'p2_hour="5"' \
  --form 'p2_min="40"' \
  --form 'p2_sec="43"' \
  --form 'p2_gender="male"' \
  --form 'p2_place="New Delhi"' \
  --form 'p2_lat="28.7041"' \
  --form 'p2_lon="77.1025"' \
  --form 'p2_tzone="5.5"' \
  --form 'lan="en"' \
  --form 'house_system="P"' \
  --form 'node_type="meannode"' \
  --form 'aspect_orbs_type="FIXED"' \
  --form 'aspect_orbs_value="5_30"' \
  --form 'aspects_type="ALL"'
const FormData = require('form-data');
const axios = require('axios');

const form = new FormData();
form.append('api_key', 'Your Api key');
form.append('p1_full_name', 'Riya Kapoor');
form.append('p1_day', '12');
form.append('p1_month', '06');
form.append('p1_year', '1994');
form.append('p1_hour', '14');
form.append('p1_min', '40');
form.append('p1_sec', '43');
form.append('p1_gender', 'female');
form.append('p1_place', 'Pune, India');
form.append('p1_lat', '28.7041');
form.append('p1_lon', '77.1025');
form.append('p1_tzone', '5.5');
form.append('p2_full_name', 'Arjun Malhotra');
form.append('p2_day', '25');
form.append('p2_month', '01');
form.append('p2_year', '1998');
form.append('p2_hour', '5');
form.append('p2_min', '40');
form.append('p2_sec', '43');
form.append('p2_gender', 'male');
form.append('p2_place', 'New Delhi');
form.append('p2_lat', '28.7041');
form.append('p2_lon', '77.1025');
form.append('p2_tzone', '5.5');
form.append('lan', 'en');
form.append('house_system', 'P');
form.append('node_type', 'meannode');
form.append('aspect_orbs_type', 'FIXED');
form.append('aspect_orbs_value', '5_30');
form.append('aspects_type', 'ALL');

const response = await axios.post('https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table', form, {
  headers: {
    ...form.getHeaders(),
    'Authorization': 'Bearer your auth token',
  }
});

console.log(response.data);
import requests

url = "https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table"
headers = {
    "Authorization": "Bearer your auth token",
}
payload = {
    "api_key": "Your Api key",
    "p1_full_name": "Riya Kapoor",
    "p1_day": "12",
    "p1_month": "06",
    "p1_year": "1994",
    "p1_hour": "14",
    "p1_min": "40",
    "p1_sec": "43",
    "p1_gender": "female",
    "p1_place": "Pune, India",
    "p1_lat": "28.7041",
    "p1_lon": "77.1025",
    "p1_tzone": "5.5",
    "p2_full_name": "Arjun Malhotra",
    "p2_day": "25",
    "p2_month": "01",
    "p2_year": "1998",
    "p2_hour": "5",
    "p2_min": "40",
    "p2_sec": "43",
    "p2_gender": "male",
    "p2_place": "New Delhi",
    "p2_lat": "28.7041",
    "p2_lon": "77.1025",
    "p2_tzone": "5.5",
    "lan": "en",
    "house_system": "P",
    "node_type": "meannode",
    "aspect_orbs_type": "FIXED",
    "aspect_orbs_value": "5_30",
    "aspects_type": "ALL",
}

response = requests.post(url, headers=headers, data=payload)

print(response.json())
const formData = new FormData();
formData.append('api_key', 'Your Api key');
formData.append('p1_full_name', 'Riya Kapoor');
formData.append('p1_day', '12');
formData.append('p1_month', '06');
formData.append('p1_year', '1994');
formData.append('p1_hour', '14');
formData.append('p1_min', '40');
formData.append('p1_sec', '43');
formData.append('p1_gender', 'female');
formData.append('p1_place', 'Pune, India');
formData.append('p1_lat', '28.7041');
formData.append('p1_lon', '77.1025');
formData.append('p1_tzone', '5.5');
formData.append('p2_full_name', 'Arjun Malhotra');
formData.append('p2_day', '25');
formData.append('p2_month', '01');
formData.append('p2_year', '1998');
formData.append('p2_hour', '5');
formData.append('p2_min', '40');
formData.append('p2_sec', '43');
formData.append('p2_gender', 'male');
formData.append('p2_place', 'New Delhi');
formData.append('p2_lat', '28.7041');
formData.append('p2_lon', '77.1025');
formData.append('p2_tzone', '5.5');
formData.append('lan', 'en');
formData.append('house_system', 'P');
formData.append('node_type', 'meannode');
formData.append('aspect_orbs_type', 'FIXED');
formData.append('aspect_orbs_value', '5_30');
formData.append('aspects_type', 'ALL');

const response = await fetch('https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table', {
  method: 'POST',
  headers: {
      'Authorization': "Bearer your auth token",
    },
  body: formData,
});

const data = await response.json();
console.log(data);
<?php

use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('POST', 'https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table', [
    'headers' => [
        'Authorization' => 'Bearer your auth token',
    ],
    'multipart' => [
        ['name' => 'api_key', 'contents' => 'Your Api key'],
        ['name' => 'p1_full_name', 'contents' => 'Riya Kapoor'],
        ['name' => 'p1_day', 'contents' => '12'],
        ['name' => 'p1_month', 'contents' => '06'],
        ['name' => 'p1_year', 'contents' => '1994'],
        ['name' => 'p1_hour', 'contents' => '14'],
        ['name' => 'p1_min', 'contents' => '40'],
        ['name' => 'p1_sec', 'contents' => '43'],
        ['name' => 'p1_gender', 'contents' => 'female'],
        ['name' => 'p1_place', 'contents' => 'Pune, India'],
        ['name' => 'p1_lat', 'contents' => '28.7041'],
        ['name' => 'p1_lon', 'contents' => '77.1025'],
        ['name' => 'p1_tzone', 'contents' => '5.5'],
        ['name' => 'p2_full_name', 'contents' => 'Arjun Malhotra'],
        ['name' => 'p2_day', 'contents' => '25'],
        ['name' => 'p2_month', 'contents' => '01'],
        ['name' => 'p2_year', 'contents' => '1998'],
        ['name' => 'p2_hour', 'contents' => '5'],
        ['name' => 'p2_min', 'contents' => '40'],
        ['name' => 'p2_sec', 'contents' => '43'],
        ['name' => 'p2_gender', 'contents' => 'male'],
        ['name' => 'p2_place', 'contents' => 'New Delhi'],
        ['name' => 'p2_lat', 'contents' => '28.7041'],
        ['name' => 'p2_lon', 'contents' => '77.1025'],
        ['name' => 'p2_tzone', 'contents' => '5.5'],
        ['name' => 'lan', 'contents' => 'en'],
        ['name' => 'house_system', 'contents' => 'P'],
        ['name' => 'node_type', 'contents' => 'meannode'],
        ['name' => 'aspect_orbs_type', 'contents' => 'FIXED'],
        ['name' => 'aspect_orbs_value', 'contents' => '5_30'],
        ['name' => 'aspects_type', 'contents' => 'ALL'],
    ],
]);

echo $response->getBody();
package main

import (
    "bytes"
    "fmt"
    "mime/multipart"
    "net/http"
    "io"
)

func main() {
    body := &bytes.Buffer{}
    writer := multipart.NewWriter(body)
    writer.WriteField("api_key", "Your Api key")
    writer.WriteField("p1_full_name", "Riya Kapoor")
    writer.WriteField("p1_day", "12")
    writer.WriteField("p1_month", "06")
    writer.WriteField("p1_year", "1994")
    writer.WriteField("p1_hour", "14")
    writer.WriteField("p1_min", "40")
    writer.WriteField("p1_sec", "43")
    writer.WriteField("p1_gender", "female")
    writer.WriteField("p1_place", "Pune, India")
    writer.WriteField("p1_lat", "28.7041")
    writer.WriteField("p1_lon", "77.1025")
    writer.WriteField("p1_tzone", "5.5")
    writer.WriteField("p2_full_name", "Arjun Malhotra")
    writer.WriteField("p2_day", "25")
    writer.WriteField("p2_month", "01")
    writer.WriteField("p2_year", "1998")
    writer.WriteField("p2_hour", "5")
    writer.WriteField("p2_min", "40")
    writer.WriteField("p2_sec", "43")
    writer.WriteField("p2_gender", "male")
    writer.WriteField("p2_place", "New Delhi")
    writer.WriteField("p2_lat", "28.7041")
    writer.WriteField("p2_lon", "77.1025")
    writer.WriteField("p2_tzone", "5.5")
    writer.WriteField("lan", "en")
    writer.WriteField("house_system", "P")
    writer.WriteField("node_type", "meannode")
    writer.WriteField("aspect_orbs_type", "FIXED")
    writer.WriteField("aspect_orbs_value", "5_30")
    writer.WriteField("aspects_type", "ALL")
    writer.Close()

    req, _ := http.NewRequest("POST", "https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table", body)
    req.Header.Set("Content-Type", writer.FormDataContentType())
    req.Header.Set("Authorization", "Bearer your auth token")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body2, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body2))
}
import okhttp3.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException {
        OkHttpClient client = new OkHttpClient();

        RequestBody body = new MultipartBody.Builder()
            .setType(MultipartBody.FORM)
            .addFormDataPart("api_key", "Your Api key")
            .addFormDataPart("p1_full_name", "Riya Kapoor")
            .addFormDataPart("p1_day", "12")
            .addFormDataPart("p1_month", "06")
            .addFormDataPart("p1_year", "1994")
            .addFormDataPart("p1_hour", "14")
            .addFormDataPart("p1_min", "40")
            .addFormDataPart("p1_sec", "43")
            .addFormDataPart("p1_gender", "female")
            .addFormDataPart("p1_place", "Pune, India")
            .addFormDataPart("p1_lat", "28.7041")
            .addFormDataPart("p1_lon", "77.1025")
            .addFormDataPart("p1_tzone", "5.5")
            .addFormDataPart("p2_full_name", "Arjun Malhotra")
            .addFormDataPart("p2_day", "25")
            .addFormDataPart("p2_month", "01")
            .addFormDataPart("p2_year", "1998")
            .addFormDataPart("p2_hour", "5")
            .addFormDataPart("p2_min", "40")
            .addFormDataPart("p2_sec", "43")
            .addFormDataPart("p2_gender", "male")
            .addFormDataPart("p2_place", "New Delhi")
            .addFormDataPart("p2_lat", "28.7041")
            .addFormDataPart("p2_lon", "77.1025")
            .addFormDataPart("p2_tzone", "5.5")
            .addFormDataPart("lan", "en")
            .addFormDataPart("house_system", "P")
            .addFormDataPart("node_type", "meannode")
            .addFormDataPart("aspect_orbs_type", "FIXED")
            .addFormDataPart("aspect_orbs_value", "5_30")
            .addFormDataPart("aspects_type", "ALL")
            .build();

        Request request = new Request.Builder()
            .url("https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table")
            .post(body)
            .addHeader("Authorization", "Bearer your auth token")
            .build();

        Response response = client.newCall(request).execute();
        System.out.println(response.body().string());
    }
}
import Foundation

let url = URL(string: "https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer your auth token", forHTTPHeaderField: "Authorization")

let boundary = "Boundary-\(UUID().uuidString)"
request.setValue("multipart/form-data; boundary=\(boundary)", forHTTPHeaderField: "Content-Type")

var bodyData = Data()
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"api_key\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Your Api key\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_full_name\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Riya Kapoor\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_day\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("12\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_month\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("06\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_year\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("1994\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_hour\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("14\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_min\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("40\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_sec\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("43\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_gender\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("female\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_place\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Pune, India\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_lat\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("28.7041\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_lon\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("77.1025\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_tzone\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5.5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_full_name\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Arjun Malhotra\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_day\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("25\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_month\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("01\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_year\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("1998\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_hour\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_min\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("40\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_sec\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("43\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_gender\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("male\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_place\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("New Delhi\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_lat\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("28.7041\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_lon\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("77.1025\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_tzone\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5.5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lan\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("en\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"house_system\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("P\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"node_type\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("meannode\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"aspect_orbs_type\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("FIXED\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"aspect_orbs_value\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5_30\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"aspects_type\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("ALL\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)--\r\n".data(using: .utf8)!)
request.httpBody = bodyData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data {
        print(String(data: data, encoding: .utf8) ?? "")
    }
}
task.resume()
import okhttp3.*

fun main() {
    val client = OkHttpClient()

    val body = MultipartBody.Builder()
        .setType(MultipartBody.FORM)
        .addFormDataPart("api_key", "Your Api key")
        .addFormDataPart("p1_full_name", "Riya Kapoor")
        .addFormDataPart("p1_day", "12")
        .addFormDataPart("p1_month", "06")
        .addFormDataPart("p1_year", "1994")
        .addFormDataPart("p1_hour", "14")
        .addFormDataPart("p1_min", "40")
        .addFormDataPart("p1_sec", "43")
        .addFormDataPart("p1_gender", "female")
        .addFormDataPart("p1_place", "Pune, India")
        .addFormDataPart("p1_lat", "28.7041")
        .addFormDataPart("p1_lon", "77.1025")
        .addFormDataPart("p1_tzone", "5.5")
        .addFormDataPart("p2_full_name", "Arjun Malhotra")
        .addFormDataPart("p2_day", "25")
        .addFormDataPart("p2_month", "01")
        .addFormDataPart("p2_year", "1998")
        .addFormDataPart("p2_hour", "5")
        .addFormDataPart("p2_min", "40")
        .addFormDataPart("p2_sec", "43")
        .addFormDataPart("p2_gender", "male")
        .addFormDataPart("p2_place", "New Delhi")
        .addFormDataPart("p2_lat", "28.7041")
        .addFormDataPart("p2_lon", "77.1025")
        .addFormDataPart("p2_tzone", "5.5")
        .addFormDataPart("lan", "en")
        .addFormDataPart("house_system", "P")
        .addFormDataPart("node_type", "meannode")
        .addFormDataPart("aspect_orbs_type", "FIXED")
        .addFormDataPart("aspect_orbs_value", "5_30")
        .addFormDataPart("aspects_type", "ALL")
        .build()

    val request = Request.Builder()
        .url("https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table")
        .post(body!!)
        .addHeader("Authorization", "Bearer your auth token")
        .build()

    client.newCall(request).execute().use { response ->
        println(response.body?.string())
    }
}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program {
    static async Task Main() {
        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer your auth token");

        var content = new MultipartFormDataContent();
        content.Add(new StringContent("Your Api key"), "api_key");
        content.Add(new StringContent("Riya Kapoor"), "p1_full_name");
        content.Add(new StringContent("12"), "p1_day");
        content.Add(new StringContent("06"), "p1_month");
        content.Add(new StringContent("1994"), "p1_year");
        content.Add(new StringContent("14"), "p1_hour");
        content.Add(new StringContent("40"), "p1_min");
        content.Add(new StringContent("43"), "p1_sec");
        content.Add(new StringContent("female"), "p1_gender");
        content.Add(new StringContent("Pune, India"), "p1_place");
        content.Add(new StringContent("28.7041"), "p1_lat");
        content.Add(new StringContent("77.1025"), "p1_lon");
        content.Add(new StringContent("5.5"), "p1_tzone");
        content.Add(new StringContent("Arjun Malhotra"), "p2_full_name");
        content.Add(new StringContent("25"), "p2_day");
        content.Add(new StringContent("01"), "p2_month");
        content.Add(new StringContent("1998"), "p2_year");
        content.Add(new StringContent("5"), "p2_hour");
        content.Add(new StringContent("40"), "p2_min");
        content.Add(new StringContent("43"), "p2_sec");
        content.Add(new StringContent("male"), "p2_gender");
        content.Add(new StringContent("New Delhi"), "p2_place");
        content.Add(new StringContent("28.7041"), "p2_lat");
        content.Add(new StringContent("77.1025"), "p2_lon");
        content.Add(new StringContent("5.5"), "p2_tzone");
        content.Add(new StringContent("en"), "lan");
        content.Add(new StringContent("P"), "house_system");
        content.Add(new StringContent("meannode"), "node_type");
        content.Add(new StringContent("FIXED"), "aspect_orbs_type");
        content.Add(new StringContent("5_30"), "aspect_orbs_value");
        content.Add(new StringContent("ALL"), "aspects_type");

        var response = await client.PostAsync("https://astroapi-8.divineapi.com/western-api/v2/synastry/aspect-table", content);
        var result = await response.Content.ReadAsStringAsync();
        Console.WriteLine(result);
    }
}